V1.0
post
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/ehrdata/subjectslinkstatus
Retrieves the EHR,EDC link status for subjects at the provided sites within the specified study and mode.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest DTO for querying the EHR-to-EDC patient link status for a set of site IDs.
Show Source
-
siteIds: array
siteIds
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
Nested Schema : siteIds
Type:
arrayUnique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
Show Source
-
Array of:
string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
Example:
[
"AA12BB34CC56DD78EE90FF98DD11CC22",
"11223344AABBCC55DD66EE77FF88GG99"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object EHRtoEDCPatientLinkStatusCollectionDTO
Response wrapper containing an array of patient link statuses for one or more sites.
Nested Schema : EHRtoEDCPatientLinkStatusCollectionDTO
Type:
objectResponse wrapper containing an array of patient link statuses for one or more sites.
Show Source
-
subjectLinks: object
subjectLinks
Result DTO detailing link status for a site in an EHR-to-EDC patient link status response.
Nested Schema : subjectLinks
Type:
objectResult DTO detailing link status for a site in an EHR-to-EDC patient link status response.
Show Source
-
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
AB12CD34EF56A7890B12C34D56EF7890 -
subjectLinkStatus: string
The EHR/EDC patient link status it values can LINKED/UNLINKED).Example:
LINKED
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.